严重 Netlogon 特权提升漏洞

CVE编号

CVE-2020-1472

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2020-08-11
漏洞描述
Microsoft Windows是一套个人设备使用的操作系统。Microsoft Windows Server是一套服务器操作系统。Netlogon是一个用于为域控制器注册所有SRV资源记录的服务。

Microsoft Windows NetLogon存在权限提升漏洞。未经身份验证的攻击者可利用该漏洞借助特制应用程序使用MS-NRPC连接到域控制器获取管理员访问权限。以下产品及版本受到影响:Microsoft Windows Server 2008 R2 SP1、Windows Server 2012、Windows Server 2012 R2、Windows Server 2016、Windows Server 2019、Windows Server 1903、Windows Server 1909、Windows Server 2004版本。

据调查,漏洞同样影响Linux下的Samba服务。

解决建议
官方补丁:https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2020-1472
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 samba samba * Up to
(excluding)
4.10.18
运行在以下环境
应用 samba samba * From
(including)
4.11.0
Up to
(excluding)
4.11.13
运行在以下环境
应用 samba samba * From
(including)
4.12.0
Up to
(excluding)
4.12.7
运行在以下环境
应用 synology directory_server * Up to
(excluding)
4.4.5-0101
运行在以下环境
系统 alibaba_cloud_linux_2.1903 samba * Up to
(excluding)
4.10.16-9.1.al7
运行在以下环境
系统 alpine_3.10 samba * Up to
(excluding)
4.10.18-r0
运行在以下环境
系统 alpine_3.11 samba * Up to
(excluding)
4.11.14-r0
运行在以下环境
系统 alpine_3.12 samba * Up to
(excluding)
4.12.7-r0
运行在以下环境
系统 alpine_3.13 samba * Up to
(excluding)
4.12.7-r0
运行在以下环境
系统 alpine_3.14 samba * Up to
(excluding)
4.12.7-r0
运行在以下环境
系统 alpine_3.15 samba * Up to
(excluding)
4.12.7-r0
运行在以下环境
系统 alpine_edge samba * Up to
(excluding)
4.12.7-r0
运行在以下环境
系统 amazon linux_2 samba * Up to
(excluding)
4.10.16-9.amzn2.0.1
运行在以下环境
系统 amazon linux_AMI samba * Up to
(excluding)
4.10.16-9.56.amzn1
运行在以下环境
系统 amazon_2 samba * Up to
(excluding)
4.10.16-13.amzn2.0.1
运行在以下环境
系统 amazon_AMI samba * Up to
(excluding)
4.10.16-9.56.amzn1
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 16.04 -
运行在以下环境
系统 canonical ubuntu_linux 18.04 -
运行在以下环境
系统 centos_7 samba * Up to
(excluding)
4.10.16-9.el7_9
运行在以下环境
系统 centos_8 samba * Up to
(excluding)
8.0.21-1.module+el8.2.0+7855+47abd494
运行在以下环境
系统 debian_10 samba * Up to
(excluding)
4.9.5+dfsg-5
运行在以下环境
系统 debian_11 samba * Up to
(excluding)
4.12.5+dfsg-3
运行在以下环境
系统 debian_9 samba * Up to
(excluding)
2:4.5.16+dfsg-1+deb9u3
运行在以下环境
系统 debian_sid samba * Up to
(excluding)
4.12.5+dfsg-3
运行在以下环境
系统 fedoraproject fedora 32 -
运行在以下环境
系统 fedoraproject fedora 33 -
运行在以下环境
系统 fedora_31 samba * Up to
(excluding)
4.11.13-0.fc31
运行在以下环境
系统 fedora_32 samba * Up to
(excluding)
4.12.7-0.fc32
运行在以下环境
系统 fedora_33 samba * Up to
(excluding)
4.13.0-0.10.rc6.fc33
运行在以下环境
系统 fedora_34 samba * Up to
(excluding)
4.13.0-0.10.rc6.fc34
运行在以下环境
系统 microsoft windows_server_2008 r2 -
运行在以下环境
系统 microsoft windows_server_2012 - -
运行在以下环境
系统 microsoft windows_server_2012 r2 -
运行在以下环境
系统 microsoft windows_server_2016 - -
运行在以下环境
系统 microsoft windows_server_2016 1903 -
运行在以下环境
系统 microsoft windows_server_2016 1909 -
运行在以下环境
系统 microsoft windows_server_2016 2004 -
运行在以下环境
系统 microsoft windows_server_2019 - -
运行在以下环境
系统 opensuse leap 15.1 -
运行在以下环境
系统 opensuse leap 15.2 -
运行在以下环境
系统 opensuse_Leap_15.1 samba * Up to
(excluding)
4.9.5
运行在以下环境
系统 opensuse_Leap_15.2 samba * Up to
(excluding)
4.11.13
运行在以下环境
系统 oracle linux_7 samba * Up to
(excluding)
4.10.16-9.el7_9
运行在以下环境
系统 oracle linux_8 samba * Up to
(excluding)
8.0.21-1.module+el8.2.0+7793+cfe2b687
运行在以下环境
系统 oracle_7 samba * Up to
(excluding)
4.10.16-9.el7_9
运行在以下环境
系统 oracle_8 samba * Up to
(excluding)
8.0.21-1.module+el8.2.0+7793+cfe2b687
运行在以下环境
系统 redhat_7 ctdb * Up to
(excluding)
0:4.10.16-9.el7_9
运行在以下环境
系统 redhat_8 samba * Up to
(excluding)
8.0.21-1.module+el8.2.0+7855+47abd494
运行在以下环境
系统 sles_12_SP5 samba * Up to
(excluding)
4.10.18
运行在以下环境
系统 suse_12_SP5 samba * Up to
(excluding)
4.10.18
运行在以下环境
系统 ubuntu_14.04 samba * Up to
(excluding)
2:4.3.11+dfsg-0ubuntu0.14.04.20+esm9
运行在以下环境
系统 ubuntu_14.04_lts samba * Up to
(excluding)
2:4.3.11+dfsg-0ubuntu0.14.04.20+esm9
运行在以下环境
系统 ubuntu_16.04 samba * Up to
(excluding)
2:4.3.11+dfsg-0ubuntu0.16.04.30
运行在以下环境
系统 ubuntu_16.04_lts samba * Up to
(excluding)
2:4.3.11+dfsg-0ubuntu0.16.04.30
运行在以下环境
系统 ubuntu_18.04 samba * Up to
(excluding)
2:4.7.6+dfsg~ubuntu-0ubuntu2.19
运行在以下环境
系统 ubuntu_18.04_lts samba * Up to
(excluding)
2:4.7.6+dfsg~ubuntu-0ubuntu2.19
阿里云评分
9.3
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-269 特权管理不恰当
CWE-330 使用不充分的随机数
阿里云安全产品覆盖情况